LibreOffice LibreOffice 6.0 SDK API Reference

Public Member Functions | List of all members
XInteractionHandler Interface Referencepublished

An interaction request handler. More...

`import"XInteractionHandler.idl";`

Inheritance diagram for XInteractionHandler:

## Public Member Functions
void | handle ([in] com::sun::star::task::XInteractionRequest Request)
| Handle an interaction request. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

An interaction request handler.

## Member Function Documentation

## ◆ handle()

void handle | ( | [in] com::sun::star::task::XInteractionRequest | Request | ) |

Handle an interaction request.

The documentation for this interface was generated from the following file:

- com/sun/star/task/XInteractionHandler.idl